Loading...
Searching...
No Matches
pretty_name.h

Go to the source code of this file.

## Namespaces

namespace | rheolef
| This file is part of Rheolef.

## Functions

std::string | typeid_name (const char *name, bool do_indent)
template<class T>
std::string | typename_of (T x)
| get string type from a variable or expression
template<class T>
std::string | pretty_typename_of (T x)

## Function Documentation

## typename_of()

template<class T>

std::string typename_of | ( | T | x | ) |

get string type from a variable or expression

Definition at line 58 of file pretty_name.h.

## pretty_typename_of()

template<class T>

std::string pretty_typename_of | ( | T | x | ) |

Definition at line 59 of file pretty_name.h.